Bug 14427 - Mouseoff on Amazon popup leaves some content behind
Summary: Mouseoff on Amazon popup leaves some content behind
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://weblog.raganwald.com/2007/06/r...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-26 23:00 PDT by Alexander Strange
Modified: 2008-12-24 11:45 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Strange 2007-06-26 23:00:11 PDT
if I go to this page and mouse over a book name ("The 7 Habits of Highly Effective People" and "Getting Things Done"), it shows an Amazon popup ad. If I let that load all the way and mouse off, the background of the popup disappears, but the rest stays on screen.

Moving the popup around doesn't work (but does while it's "supposed to be" on screen) and the close button does nothing.
It all seems to work on Firefox. No JS exceptions on either browser.
Comment 1 mitz 2007-06-26 23:15:17 PDT
Wrong URL? Duplicate of bug 12368?
Comment 2 Alexander Strange 2007-06-29 14:22:12 PDT
Right URL. But, yeah, duplicate bug.

(Although it's visible in a released Safari now.)
Comment 3 David Kilzer (:ddkilzer) 2007-07-05 21:19:23 PDT

*** This bug has been marked as a duplicate of 12368 ***
Comment 4 Alexander Strange 2008-12-24 11:05:39 PST
Bug #12368 was fixed by Amazon, but this still happens for me (in 3.2 and nightly).

Another example: http://agonybooth.com/recaps/Southland_Tales_2006.aspx
Mouse over "Click here to buy this DVD at Amazon.com" and then off; it will leave some text over the image to the right.